# ToolBOS Core

This package contains:

* multi-platform build system based upon CMake (CLI + GUI)
* package templates / skeletons
* Software Installation Tree (SIT) management tools
* helpers for VCS access
* tools for distributing and deploying SIT-packages
* software quality guidelines and check routines


#### Setup

* [Installing ToolBOS on disk](doc/ToolBOSCore/Setup/InstallingToolBOS.md)
* [Shell configuration](doc/ToolBOSCore/Setup/ShellConfig.md)
* [Sourcing additional packages](doc/ToolBOSCore/Setup/SourcingAdditionalPackages.md)
* [Supported platforms](doc/ToolBOSCore/Setup/SupportedPlatforms.md)


#### Concepts

* [Terminology](doc/ToolBOSCore/Concepts/Terminology.md)
* [Software Installation Tree (SIT)](doc/ToolBOSCore/Concepts/SIT.md)
* [Proxy Directory](doc/ToolBOSCore/Concepts/ProxyDirectory.md)
* [Quality Guideline](doc/ToolBOSCore/Concepts/QualityGuidelines.md)
* [Source tree conventions](doc/ToolBOSCore/Concepts/SourceTreeConventions.md)
* [Installation conventions](doc/ToolBOSCore/Concepts/InstallationConventions.md)
* [ToolBOS.conf](doc/ToolBOSCore/Concepts/ToolBOSConf.md)
* [SIT builds](doc/ToolBOSCore/HowTo/SITBuilds.md)


#### Tools

* [Package Creator](doc/ToolBOSCore/Tools/PackageCreator/PackageCreator.md)
* [Build System Tools](doc/ToolBOSCore/Tools/BuildSystemTools/BuildSystemTools.md)
* [ExecInAllProjects.py](doc/ToolBOSCore/Tools/ExecInAllProjects.md)


#### HowTo's

* [Debugging](doc/ToolBOSCore/HowTo/Debugging.md)
* [Writing C/C++ libraries](doc/ToolBOSCore/HowTo/WritingC_CPlusPlusLibraries.md)
* [External packages](doc/ToolBOSCore/HowTo/ExternalPackages.md)
* [userDoxyfile](doc/ToolBOSCore/HowTo/UserDoxyfile.md)
* [License checks](doc/ToolBOSCore/HowTo/LicenseChecks.md)
* [ToolBOS release rollback or beta-test ](doc/ToolBOSCore/HowTo/ToolBOSBetaTest.md)
* [Deprecated packages](doc/ToolBOSCore/HowTo/DeprecatedPkg.md)

___

The ToolBOS SDK was developed as teamwork by several people.

We would like to honor
all contributors but do not have a written confirmation by everyone to do so,
therefore most names are abbreviated for data privacy reasons.

#### Authors (in alphabetical order):

* <a href="https://github.com/adnanyaseen94">Adnan Yaseen</a>
* <a href="https://github.com/laynor">Alessandro Piras</a>
* <a href="https://github.com/antonelloceravola">Antonello Ceravola</a>
* Axel J.
* Benjamin D.
* Bram Bolder
* Burkhard Z.
* Christophe L.
* Ciro S.
* Daniele P.
* <a href="https://github.com/davidey">Davide Petrillo</a>
* Enrico Agnoli
* Fabrizio A.
* Francesco Masia
* Henning F.
* Herbert Janssen
* Hideaki O.
* Joachim Z.
* Julian E.
* Lars Graening
* Lorena P.
* Luca S.
* <a href="https://github.com/MarijkeStein">Marijke Stein</a> **(maintainer)**
* Mark Dunn
* Martin W.
* Matthias G.
* <a href="https://github.com/mrz">Mattia Ziulu</a>
* Mauro Chiado' Caponet
* <a href="https://github.com/monicadasi">Monica Dasi</a>
* <a href="https://github.com/Ol-Sc">Oliver Schön</a>
* <a href="https://github.com/robyf70">Roberto Fichera</a>
* Rocco P.
* Samuel J.
* Sebastian M.
* Sebastian Schmitt
* <a href="https://github.com/NaikS8">Siddhata Naik</a>
* Simone B.
* Stephan Hasler
* Sven T.
* Thomas L.
* <a href="https://github.com/TimoFriedri">Timo Friedrich</a>
* <a href="https://www.linkedin.com/in/traian-stefanescu-7b54383">Traian Stefanescu</a>
* <a href="https://github.com/Darruma">Umair Darr</a>

Should somebody be missing please bring it to our attention.

#### Special thanks (contributions other than code):

* Andreas R.
* Bernhard Sendhoff
* Christian Goerick
* Edgar K.
* Frank Joublin
* Heiko Wersing
* Inna M.
* Jens Schmüdderich
* Michael Gienger
* Nico Steinhardt
* Stephan K.
* Thomas Weisswange
* Tobias Rodemann

